SDL_GenerateMipmapsForGPUTexture(3)

NAME
SDL_GenerateMipmapsForGPUTexture - Generates mipmaps for the given texture.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

void SDL_GenerateMipmapsForGPUTexture(
    SDL_GPUCommandBuffer *command_buffer,
    SDL_GPUTexture *texture);

DESCRIPTION
This function must not be called inside of any pass.

FUNCTION PARAMETERS

command_buffer
    a command_buffer.

texture
    a texture with more than 1 mip level.

AVAILABILITY
This function is available since SDL 3.2.0.